ページの先頭です。
サイト内の現在位置を表示しています。
  1. ホーム
  2. ソフトウェア
  3. OSS/Linuxソリューション
  4. OSSミドルウェアサポートサービス
  5. PostgreSQL
  6. 保守サポート条件
ここから本文です。

サポート対象PostgreSQL

本サービスのサポート対象となるPostgreSQLのバージョンは次の通りです。

Linux

PostgreSQL
対象バージョン
9.6、9.5、9.4、9.3、9.2
導入方法
  • コミュニティ(*1)が提供するソースを改変せずにコンパイル
  • コミュニティ(*1)が提供するRPM
  • Linuxディストリビュータが提供するRPM
API 次のAPIからアクセスされるPostgreSQLサーバをサポート対象とします。
  • libpq
  • JDBC
  • ODBC
  • 埋め込みSQL(ecpg)
  • PHP・PEAR
  • *(*1) The PostgreSQL Global Development Group

Windows

PostgreSQL
対象バージョン
9.6、9.5、9.4、9.3、9.2
導入方法
  • コミュニティ (*1)が提供するインストール媒体
API 次のAPIからアクセスされるPostgreSQLサーバをサポート対象とします。
  • libpq
  • JDBC
  • ODBC
  • 埋め込みSQL(ecpg)
  • Npgsql
  • PHP・PEAR
  • *(*1) The PostgreSQL Global Development Group

HP-UX

PostgreSQL
対象バージョン
9.6、9.5、9.4、9.3、9.2
導入方法
  • コミュニティ(*1)が提供する無改造のソースからのビルド
  • "Porting And Archive Centre for HP-UX"が提供するバイナリ
  • "HP-UX Internet Express"が提供するバイナリ
API 次のAPIからアクセスされるPostgreSQLサーバをサポート対象とします。
  • libpq
  • JDBC
  • ODBC
  • 埋め込みSQL(ecpg)
  • PHP・PEAR
  • *(*1) The PostgreSQL Global Development Group

サポート対象プラットフォーム

Linux

本サービスは、Linux OSをBTO組み込みしたExpress5800サーバまたはNX7700x(*2)サーバを対象としています。Linuxディストリビューションとバージョンは、次の通りです。

ディストリビューション バージョン PostgreSQL
9.6 9.5 9.4 9.3 9.2
RedHat Enterprise Linux 7

6

 ×

5/AP5

 ×

×

× ×
SUSE Linux Enterprise Server 10.0

 ×

×

× ×
11.0

 ×

×

× ×
  • *(*2) NX7700x用の型番によるPostgreSQLサポートサービス加入が必要です。

Windows

本サービスは、次のWindows OSをプリインストールしたExpress5800サーバを対象としています。対象となるWindows サーバのバージョンは以下の通りです。

OS バージョン PostgreSQL
9.6 9.5 9.4 9.3 9.2
Microsoft Windows Server 2016

× × ×
Microsoft Windows Server 2012 (R2含む)

Microsoft Windows Server 2008 (R2含む)

×

HP-UX

対象となるHP-UXのバージョンは以下の通りです。

OS バージョン PostgreSQL
9.6 9.5 9.4 9.3 9.2
HP-UX 11i v3 (IA64)

クラスタソフト

本サービスでは、クラスタキットを合わせてお申し込みいただくことで、次のクラスタソフトを使用しているクラスタ環境をサポートします。対応しているPostgreSQLのバージョンは、各ソフトウェアの対応状況をご確認ください。

Linux Windows

ソフトウェア名 バージョン 対応状況
CLUSTERPRO X 2.0以降 ○(*3)
  • *(*3) CLUSTERPROのPP・サポートサービスに加入いただいている必要があります。

HP-UX

ソフトウェア名 対応状況
ServiceGuard ○(*4)
  • *(*4) ServiceGuardのPP・サポートサービスに加入いただいている必要があります。
  • *※なお、上記のプラットフォーム以外、あるいは指定導入方法でのPostgreSQLパッケージ以外で、PostgreSQLサポートサービスの利用をご希望される場合は、ご相談下さい。


Top of this page